summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2024-05-08 17:34:59 +0200
committerFabian Groffen <grobian@gentoo.org>2024-05-08 17:34:59 +0200
commit65650e5ab378910577341115bc44944cdcde974c (patch)
tree38c258c3cac054c8d4cb15c0612ec88626227fad
parentdev-lang/python-3.12.3: bump minor version (diff)
downloadprefix-65650e5ab378910577341115bc44944cdcde974c.tar.gz
prefix-65650e5ab378910577341115bc44944cdcde974c.tar.bz2
prefix-65650e5ab378910577341115bc44944cdcde974c.zip
eclass/python-utils-r1: sync with gx86
Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rw-r--r--eclass/python-utils-r1.eclass15
1 files changed, 9 insertions, 6 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 5abe526b45..3482919cd9 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -40,7 +40,7 @@ inherit multiprocessing toolchain-funcs
# All supported Python implementations, most preferred last.
_PYTHON_ALL_IMPLS=(
pypy3
- python3_{10..12}
+ python3_{10..13}
)
readonly _PYTHON_ALL_IMPLS
@@ -80,7 +80,7 @@ _python_verify_patterns() {
local impl pattern
for pattern; do
case ${pattern} in
- -[23]|3.[89]|3.1[012])
+ -[23]|3.[89]|3.1[0-3])
continue
;;
esac
@@ -136,7 +136,7 @@ _python_set_impls() {
# please keep them in sync with _PYTHON_ALL_IMPLS
# and _PYTHON_HISTORICAL_IMPLS
case ${i} in
- pypy3|python3_9|python3_1[0-2])
+ pypy3|python3_9|python3_1[0-3])
;;
jython2_7|pypy|pypy1_[89]|pypy2_0|python2_[5-7]|python3_[1-9])
obsolete+=( "${i}" )
@@ -231,7 +231,7 @@ _python_impl_matches() {
[[ ${impl} == python${pattern/./_} || ${impl} == pypy3 ]] &&
return 0
;;
- 3.8|3.9|3.1[1-2])
+ 3.8|3.9|3.1[1-3])
[[ ${impl} == python${pattern/./_} ]] && return 0
;;
*)
@@ -900,7 +900,7 @@ python_doheader() {
[[ ${EPYTHON} ]] || die 'No Python implementation set (EPYTHON is null).'
local includedir=$(python_get_includedir)
- local d=${includedir#${EPREFIX}}
+ local d=${includedir#${ESYSROOT}}
(
insopts -m 0644
@@ -1102,7 +1102,7 @@ python_fix_shebang() {
if [[ ! ${error} ]]; then
debug-print "${FUNCNAME}: in file ${f#${D%/}}"
debug-print "${FUNCNAME}: rewriting shebang: ${shebang}"
- sed -i -e "1s@${from}@#!${PYTHON}@" "${f}" || die
+ sed -i -e "1s@${from}@#!${EPREFIX}/usr/bin/${EPYTHON}@" "${f}" || die
any_fixed=1
else
eerror "The file has incompatible shebang:"
@@ -1365,6 +1365,9 @@ epytest() {
# override filterwarnings=error, we do not really want -Werror
# for end users, as it tends to fail on new warnings from deps
-Wdefault
+ # however, do error out if the package failed to load
+ # an appropriate async plugin
+ -Werror::pytest.PytestUnhandledCoroutineWarning
# override color output
"--color=${color}"
# count is more precise when we're dealing with a large number